/* Installation of Quipu */
/* Laden von RexxUtil.DLL */
CALL RxFuncAdd 'SysLoadFuncs','Rexxutil','SysLoadFuncs'
CALL SysLoadFuncs
/* Make Quipu directory */
parse arg directory
if directory = '' then do
    say "Usage: INSTALL <Directory for Quipu> (INSTALL d:\quipu)"
    exit
    end
rc = sysmkdir(directory)
if \(rc = 0 | rc = 5) then do
    say "Could not create the directory"
    exit
    end
/* Copy all files to the Quipu directory */
'copy quipu.* 'directory
/* Create Quipu.ini */
inifile =  directory||'\quipu.ini'
rc = stream( inifile, 'C', 'OPEN WRITE')
call lineout inifile,'# Parameters for the Quipu.exe. These parameters will be'
call lineout inifile,'# overwritten by command line parameters.'
call lineout inifile,'# First we set the seed.'
call lineout inifile,'-a <this is the test seed and should be replaced>'
call lineout inifile,'# Now we set the key file length. '
call lineout inifile,'# For higher security this should be increased.'
call lineout inifile,'-l 5000'                                      
call lineout inifile,'# Next we set the key file directory and name.' 
call lineout inifile,'-k '||directory||'\quipu.key'
call lineout inifile,'# Next we set the mode for making a new key file,'
call lineout inifile,'# when no command line parameters are added.'
call lineout inifile,'-m'
call lineout inifile,'# Next we add the line on which you put your registration name.'
call lineout inifile,'-n <name>
call lineout inifile,'# At last we add the line on which you enter your registration number'
call lineout inifile,'-r 0000000000'
call lineout inifile,'#'
rc = stream(inifile,'C','CLOSE')
/* Create PMQuipu.cmd */
cmdfile =  directory||'\pmquipu.cmd'
rc = stream( cmdfile, 'C', 'OPEN WRITE')
call lineout cmdfile,'/* PMQUIPU.CMD */'
call lineout cmdfile,'parse arg datei'
call lineout cmdfile,"mode = ''"
call lineout cmdfile,"if datei = '' then"
call lineout cmdfile,"'"||directory||"\quipu.exe -p "||directory||"\quipu.ini'"
call lineout cmdfile,'else'
call lineout cmdfile,"if right(datei,1) = '#' then '"||directory||"\quipu.exe -d -p "||directory||"\quipu.ini -c '|| datei"
call lineout cmdfile,"else '"||directory||"\quipu.exe -e -p "||directory||"\quipu.ini -f '||datei||' -c '||left(datei,length(datei)-1)||'#'" 
call lineout cmdfile,"'exit'"
rc = stream(cmdfile,'C','CLOSE')

/* Create WP_DESKTOP Object */
Eigenschaften = 'EXENAME='||directory||'\pmquipu.cmd;ASSOCFILTER=*#;ASSOCTYPE=Plain Text,DeScribe Document;ICONFILE='||directory||'\quipu.ico;PARAMETERS=%*'
rc = syscreateobject('WPProgram','Quipu','<WP_DESKTOP>',eigenschaften)








